Skip to main content
Support - EBSCO Help

What are the minimum browser requirements for NoveList?

The minimum browser requirements for NoveList are:

Internet Explorer 8.0 or later
Firefox 8.0 or later
Safari 5.1 or later
Google Chrome 16 or later
Other JavaScript, Cookies Enabled